> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mygigsters.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create charge

> The Create Charge endpoint allows you to create a new payment for a customer.

### Headers

**X-API-Version** `string` *required* (default: 1.2)

The API version to use. Supported versions are `1.1` and `1.2`.

### Headers

**idempotency-key** `string` *required*

A unique UUID string used to prevent duplicate operations.

### Request Body Parameters

**amount** `number` *required*

The amount of the payment in decimal dollars (e.g. to charge \$25.00 AUD, pass 25.00). Do not pass cents.

**currency** `string` *required*

The currency of the payment.

**job\_id** `string`

The ID of the job for which the payout is being initiated. Either job ID or reference is required.

**reference** `string`

The reference for the payout request. Either job ID or reference is required.

**customer\_id** `string` *required*

The unique identifier of the customer for whom the payment is being created.

**auto\_capture** `boolean`

A flag indicating whether the payment should be automatically captured after being created. If set to true, the payment will be captured immediately; if false, it may require manual capture later.

### Response Body

The response is in JSON format and contains:

**status** `number`

Indicates the status code of the payment creation request.

**message** `string`

Provides any additional information related to the payment creation process.

**payment\_status** `string`

Represents the status of the payment (e.g., `SUCCEEDED`, `REQUIRES_CAPTURE`, `FAILED`).

**intent\_id** `string`

The unique identifier for the payment intent.

### Response Codes

| Code | Description |
| - | - |
| 200 | If the request is successful, the payment is created and the response includes the payment details and intent ID. |
| 400 | Bad Request. Invalid parameters, card not linked, or duplicate job ID ('Job Id is already exists'). |
| 401 | Unauthorized. Missing or invalid credentials. |
| 404 | Not Found. The specified customerId or jobId does not exist. |
| 409 | Conflict. Duplicate idempotency key with mismatching parameters. |
| 500 | Internal Server Error. |

```bash cURL theme={null}
curl -X POST https://qa-payments.mygigsters.com.au/api/v1/customer/create-charge \
  -u "YOUR_UUID:YOUR_SECRET" \
  -H "idempotency-Key: 7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575" \
  -H "X-API-Version: 1.2" \
  -H "Content-Type: application/json" \
  -d '{
  "amount": 25,
  "currency": "AUD",
  "job_id": "89073",
  "customer_id": "cus_hkdmn5lcqh5enc37sp6"
}'
```

```javascript Node.js theme={null}
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/customer/create-charge", {
  method: "POST",
  headers: {
    Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
    "idempotency-Key": "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575",
    "X-API-Version": "1.2",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "amount": 25,
    "currency": "AUD",
    "job_id": "89073",
    "customer_id": "cus_hkdmn5lcqh5enc37sp6"
  }),
});

const data = await response.json();
console.log(data);
```

```python Python theme={null}
import requests

response = requests.post(
    "https://qa-payments.mygigsters.com.au/api/v1/customer/create-charge",
    auth=("YOUR_UUID", "YOUR_SECRET"),
    headers={
        "idempotency-Key": "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575",
        "X-API-Version": "1.2",
    },
    json={
        "amount": 25,
        "currency": "AUD",
        "job_id": "89073",
        "customer_id": "cus_hkdmn5lcqh5enc37sp6",
    },
)

print(response.json())
```

```ruby Ruby theme={null}
require "net/http"
require "json"
require "uri"

uri = URI("https://qa-payments.mygigsters.com.au/api/v1/customer/create-charge")
request = Net::HTTP::Post.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["idempotency-Key"] = "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575"
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
  {
    "amount": 25,
    "currency": "AUD",
    "job_id": "89073",
    "customer_id": "cus_hkdmn5lcqh5enc37sp6"
  }
JSON

response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
  http.request(request)
end

puts JSON.parse(response.body)
```

```php PHP theme={null}
<?php

$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/customer/create-charge");

curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => "POST",
    CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
    CURLOPT_HTTPHEADER => [
        "idempotency-Key: 7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575",
        "X-API-Version: 1.2",
        "Content-Type: application/json",
    ],
    CURLOPT_POSTFIELDS => <<<'JSON'
{
  "amount": 25,
  "currency": "AUD",
  "job_id": "89073",
  "customer_id": "cus_hkdmn5lcqh5enc37sp6"
}
JSON,
]);

$response = curl_exec($ch);
curl_close($ch);

print_r(json_decode($response, true));
```

```java Java theme={null}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;

public class Example {
    public static void main(String[] args) throws Exception {
        String credentials = Base64.getEncoder()
            .encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());

        String body = String.join("\n",
            "{",
            "  \"amount\": 25,",
            "  \"currency\": \"AUD\",",
            "  \"job_id\": \"89073\",",
            "  \"customer_id\": \"cus_hkdmn5lcqh5enc37sp6\"",
            "}"
        );

        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/customer/create-charge"))
            .header("Authorization", "Basic " + credentials)
            .header("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575")
            .header("X-API-Version", "1.2")
            .header("Content-Type", "application/json")
            .method("POST", HttpRequest.BodyPublishers.ofString(body))
            .build();

        HttpResponse<String> response = HttpClient.newHttpClient()
            .send(request, HttpResponse.BodyHandlers.ofString());

        System.out.println(response.body());
    }
}
```

```go Go theme={null}
package main

import (
	"fmt"
	"io"
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{
  "amount": 25,
  "currency": "AUD",
  "job_id": "89073",
  "customer_id": "cus_hkdmn5lcqh5enc37sp6"
}`)

	req, err := http.NewRequest("POST", "https://qa-payments.mygigsters.com.au/api/v1/customer/create-charge", body)
	if err != nil {
		panic(err)
	}
	req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
	req.Header.Set("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575")
	req.Header.Set("X-API-Version", "1.2")
	req.Header.Set("Content-Type", "application/json")

	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()

	data, _ := io.ReadAll(res.Body)
	fmt.Println(string(data))
}
```

```csharp .NET theme={null}
using System.Net.Http.Headers;
using System.Text;

using var client = new HttpClient();

var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-payments.mygigsters.com.au/api/v1/customer/create-charge");
request.Headers.Authorization = new AuthenticationHeaderValue(
    "Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d575");
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
  ""amount"": 25,
  ""currency"": ""AUD"",
  ""job_id"": ""89073"",
  ""customer_id"": ""cus_hkdmn5lcqh5enc37sp6""
}", Encoding.UTF8, "application/json");

var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
```

```json 200 theme={null}
{   
   "status": 200,
   "message": "Payment successful!",
   "payment_status": "SUCCEEDED",
   "intent_id": "int_sgpvzkmwthn98399b2p"
  }
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.